#!/bin/bash

if [ "$1" == "" ]; then
  if [ "$2" == "32" ]; then
    # set environment variables used by OCCT
    export CSF_FPE=0

    export TCL_DIR="/usr/libx32"
    export TK_DIR="/usr/libx32"
    export FREETYPE_DIR="/usr/libx32"
    export FREEIMAGE_DIR="/usr/libx32:"
    export TBB_DIR="/usr/libx32"
    export VTK_DIR="/usr/libx32/vtk"
    export FFMPEG_DIR="/usr/libx32"

    if [ "x/usr" != "x" ]; then
      export QTDIR="/usr"
    fi

    export TCL_VERSION_WITH_DOT=""
    export TK_VERSION_WITH_DOT=""

    export CSF_OCCTBinPath="${CASROOT}/bin"
    export CSF_OCCTLibPath="${CASROOT}/libx32"
    export CSF_OCCTIncludePath="${CASROOT}/include/opencascade"
    export CSF_OCCTResourcePath="${CASROOT}/share/opencascade/resources"
    export CSF_OCCTDataPath="${CASROOT}/share/opencascade/data"
    export CSF_OCCTSamplesPath="${CASROOT}/share/opencascade/samples"
    export CSF_OCCTTestsPath="${CASROOT}/share/opencascade/tests"
    export CSF_OCCTDocPath="${CASROOT}/share/doc/opencascade"
  fi
fi

